%global momorel 1

Summary: The NIS (Network Information Service) server.
URL: http://www.linux-nis.org/nis/ypserv/
Name: ypserv
Version: 2.13
Release: %{momorel}m
License: GPL and BSD
Group: System Environment/Daemons
Source0: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/ypserv-%{version}.tar.gz
NoSource: 0
Source1: ypserv-ypserv.init
Source2: ypserv-yppasswdd.init
Source3: ypserv-ypxfrd.init
Source4: ypserv-yppasswdd.sysconfig
Requires: make, portmap, bash >= 2.0
Prereq: chkconfig, initscripts
Patch0: ypserv-target.patch
# Patch1: ypserv-2.2-printcap.patch
#Patch3: ypserv-2.1-syslog.patch
#Patch4: ypserv-2.1-path.patch
Patch4: ypserv-path.patch
Patch5: ypserv-2.3-ypxfr.patch
# Patch7: ypserv-2.2-yppush.patch
Obsoletes: yppasswd
BuildRequires: gdbm-devel >= 1.8.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Network Information Service (NIS) is a system that provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network. NIS can allow users
to log in on any machine on the network, as long as the machine has
the NIS client programs running and the user's password is recorded in
the NIS passwd database. NIS was formerly known as Sun Yellow Pages
(YP).

This package provides the NIS server, which will need to be running on
your network. NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network. You also
need to install the yp-tools and ypbind packages on any NIS client
machines.

%prep
%setup -q
%patch0 -p1 -b .rh
# %%patch1 -p1
#%%patch3 -p1 
%patch4 -p1 
%patch5 -p1 -b .ypxfr
# %%patch7 -p0 -b .yppush

%build
cp etc/README etc/README.etc

%configure --enable-checkroot --enable-fqdn --enable-yppasswd --libexecdir=%{_libdir}/yp
make

%install
rm -rf %{buildroot}
#make install ROOT=%{buildroot}
%makeinstall libexecdir=%{buildroot}%{_libdir}/yp
mkdir -p %{buildroot}%{_initscriptdir}
install -m644 etc/ypserv.conf %{buildroot}%{_sysconfdir}
install -m755 %{SOURCE1} %{buildroot}%{_initscriptdir}/ypserv
install -m755 %{SOURCE2} %{buildroot}%{_initscriptdir}/yppasswdd
install -m755 %{SOURCE3} %{buildroot}%{_initscriptdir}/ypxfrd

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/yppasswdd 

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add ypserv
/sbin/chkconfig --add yppasswdd
/sbin/chkconfig --add ypxfrd

%triggerpostun -- ypserv <= ypserv-1.3.0-2
/sbin/chkconfig --add ypserv

%triggerpostun -- yppasswd
/sbin/chkconfig --add yppasswdd

%preun
if [ $1 = 0 ]; then
	/sbin/service ypserv stop > /dev/null 2>&1
	/sbin/chkconfig --del ypserv
	/sbin/service yppasswdd stop > /dev/null 2>&1
	/sbin/chkconfig --del yppasswdd
	/sbin/service ypxfrd stop > /dev/null 2>&1
	/sbin/chkconfig --del ypxfrd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service ypserv condrestart > /dev/null 2>&1
	/sbin/service yppasswdd condrestart > /dev/null 2>&1
	/sbin/service ypxfrd condrestart > /dev/null 2>&1
fi
exit 0
 
%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%doc lib/ypxfrd.x
%config %{_sysconfdir}/ypserv.conf
%config(noreplace) %{_sysconfdir}/sysconfig/yppasswdd
%config /var/yp/*
%config %{_initscriptdir}/*
%{_libdir}/yp
%{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*

%changelog
* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13-1m)
- update to 2.13
- comment out Patch3 nor Source3
- update Patch4: ypserv-path.patch

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.4-6m)
- accept gdbm-1.8.0 or newer

* Mon Nov 24 2003 zunda <zunda at freeshell.org>
- (2.4-5m)
- ypxfrd.x is under BSD.
- README.secure is not found in the source distribution.

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.4m)
- rebuild against gdbm-1.8.0

* Sun Oct 26 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (2.8-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- fix %%patch1 and %%patch7 in comments
- use %%{SOURCE1}, %%{SOURCE2}, and %%{SOURCE3}
- in place of making /etc/sysconfig/yppasswdd script in spec file,
  make yppasswdd.sysconfig as %%{SOURCE4}
- use %%{momorel}

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.8-2m)
- rebuild against for gdbm

* Sun Feb  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.8-1m)
  update 2.8

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.7-1m)
  update 2.7

* Tue Dec 03 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (2.6-1m)

* Tue Jun 11 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.4-2k)
  update to 2.4

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.3-2k)
  update to 2.3

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (2.2-2k)
- ver up.

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.3.12-8k)
- Prereq: /sbin/chkconfig -> chkconfig
- Prereq: /sbin/service   -> initscripts

* Tue Jan  8 2002 Masahiro Takahata <takahata@kondara.org>
- (1.3.12-6k)
- modified ypserv-ypxfrd.init script

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- (1.3.12-4k)
- nigirisugi /var/yp

* Wed Oct  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.12-2k)
- update to 1.3.12 and merge rh 1.3.12-2

* Tue Aug  7 2001 Akira Higuchi <a@kondara.org>
- added missing /etc/netgroup file

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.9-11k)
- rebuild againt rpm-3.0.5-39k

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.3.9-9k)
- modified ypserv.fhs.patch for compatibility

* Tue Nov 28 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d/init.d to %{_initscriptdir}.

* Mon Aug 21 2000 MATSUDA, Daiki <dyky@df-usa.com>
- fix for FHS

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.3.9-3).

* Mon Mar 06 2000 Cristian Gafton <gafton@redhat.com>
- add patch to avoid potential deadlock on the server (fix #9968)

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Wed Feb  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix typo in %triggerpostun

* Tue Feb 1 2000 Masako Hattori <maru@kondara.org>
- update man-pages-ja-ypserv-20000115

* Tue Nov 30 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-ypserv-19991115

* Mon Oct 25 1999 Bill Nottingham <notting@redhat.com>
- update to 1.3.9
- use gdbm, move back to /usr/sbin

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- ypserv goes on root partition

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.7

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- start after network FS

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.6.94.

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- improved daemonization.

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- fix buffer overflow in rpc.yppasswd (#3126).

* Fri May 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.6.92.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.6.91

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- move to start before ypbind

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- upgraded to 1.3.5

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- yppasswd.init: lock file must have same name as init.d script, not daemon

* Sat Jul 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.4
- fixed the fubared Makefile
- link against gdbm instead of ndbm (it seems to work better)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.1
- enhanced init scripts

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun
- Use libdb fro dbp_*().

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.0

* Wed Dec 03 1997 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.5
- added buildroot; updated spec file
- added yppasswdd init file

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- init script shouldn't set the domain name

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- updated initscript for status and restart
- turned off in all runlevels, by default
- removed postinstall script which didn't do anything

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- added patch to build against later glibc

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Erik Troan <ewt@redhat.com>
- updated to 1.1.7.

* Fri Mar 14 1997 Erik Troan <ewt@redhat.com>
- Updated to ypserv 1.1.5, ported to Alpha (glibc).

* Fri Mar 07 1997 Erik Troan <ewt@redhat.com>
- Removed -pedantic which confuses the SPARC :-(
